#ifndef ldapconf_h
#define ldapconf_h
#ifndef MISC_H
    #include <misc.h>
#endif
#ifndef MODULE_H
    #include <module.h>
#endif
#ifndef FVIEWS_H
    #include <fviews.h>
#endif

#include <modapi_def.h>
#include <modapi.h>
class MODULE_ldapconf: public LINUXCONF_MODULE{
    /*~PROTOBEG~ MODULE_ldapconf */
public:
	MODULE_ldapconf (void);
	int dohtml (const char *key);
	int domenu (MENU_CONTEXT context,
		 const char *key);
	int execmain (int argc,
		 char *argv[],
		 bool sa);
	int message (const char *msg,
		 int argc,
		 const char *argv[]);
	void setmenu (DIALOG&dia,
		 MENU_CONTEXT context);
	void usage (SSTRINGS&tb);
  /*~PROTOEND~ MODULE_ldapconf */
};

class FIELD_COMBO;
class USER;
class CONFIG_FILE;
class PRIVILEGE;
class SSTRING;
class USERACCT_COMNG;
class DICTIONARY;
class FIELD_DEFS;
class PROFILE;

struct _F_profiles_dia_admin;
class PROFILES;

#include "ldapconf.p"

#endif


