/*************************************************************************/
/*	LDAPCONF - Linuxconf module for LDAP operation.
	
	Copyright (C) 1999,2000,2001 Stein Vrle <stein@terminator.net>
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
	GNU General Public License for more details.
	
**************************************************************************/
/*  LDAPPROFILE
	
	This object holds properties used for accessing a LDAP directory.
	If a property is not set LDAP will usually use the default from the 
	client configfile.

**************************************************************************/
#include "ldapconf_defs.h"

PUBLIC LDAPPROFILE::LDAPPROFILE ()
{
	usesasl = false;
}

/*
	LDAPPROFILE default dialog

*/
PUBLIC void LDAPPROFILE::default_dialog()
{
	DIALOG *dia = new DIALOG;
	dia->newf_str (MSG_U(F_API_HOST,"Host"),host);
	dia->newf_str (MSG_U(F_API_PORT,"Port"),port);
	dia->newf_str (MSG_U(F_API_BASE,"Base"),base);
	dia->newf_str (MSG_U(F_API_DN,"DN"),dn);
	dia->newf_str (MSG_U(F_API_PW,"Password"),pw);
	FIELD_COMBO *scopelist = dia->newf_combo(MSG_U(F_API_SCOPE,"Scope"),scope);
	scopelist->addopt ("one");
	scopelist->addopt ("base");
	scopelist->addopt ("sub");
}
















