#!/bin/sh
# Script to create a machine account. This is used when
# a machine attempt to connect to a samba domain
if [ $# != 3 ] ; then
	echo addmachine.sh machine-name dn groupid
else
	ldapconf --add --profile smbstations \
		--dn "$2" \
		--allocuid \
		--attr cn="$1\$" --attr uid="$1\$" \
		--attr gidnumber=$3 --attr homedirectory=/dev/null \
		--attr userpassword="$1" \
		--attr acctflags="[W          ]" \
		--mkntpwd \
		--setrid
fi

