/* _dict.cc 02/07/1999 14.11.24 */
/* browse.tlcc 21/06/2004 13.10.20 */
void ldap_userlist (const char *profile_name);
/* fields.cc 06/02/2003 14.41.14 */
/* groupadmin.cc 11/06/2001 08.56.12 */
void ldap_groupadmin (const char *profile_name);
void ldap_group_manage (const char *profile_name,
	 const char *group_name);
void group_delmembers (SSTRINGS&member_list, SSTRINGS&nonmember_list);
void group_addmembers (SSTRINGS&member_list, SSTRINGS&nonmember_list);
int group_admin (const char *profile_name,
	 const char *group_name,
	 SSTRINGS&members,
	 SSTRINGS&allusers);
/* help.cc 23/09/1999 20.59.42 */
/* internal.cc 06/02/2003 19.51.40 */
const char *get_keyval (VIEWITEMS&items, const char *key);
const char *get_keyval (VIEWITEMS&items,
	 const char *key,
	 const char *defval);
void set_keyval (VIEWITEMS&items, const char *key, const char *val);
int sys_command_raw (const char *cmd, const char *args, SSTRINGS&tb);
int sys_command (const char *cmd, const char *args, SSTRINGS&tb);
int sys_showfile (const char *file, SSTRINGS&tb);
void sys_command_title (const char *title,
	 const char *cmd,
	 const char *args);
int dir_getfiltered (const char *path,
	 SSTRINGS&lst,
	 const char *filter);
/* ldap_comng.cc 26/08/2003 17.20.12 */
USERACCT_COMNG *ldapconf_newcomng (const char *key, DICTIONARY&dict);
void *acctextra_api_get (void);
void acctextra_api_release (void *p);
/* ldap_db.cc 19/08/2002 10.35.26 */
/* ldap_object.cc 21/06/2004 10.40.28 */
/* ldap_profile.cc 10/04/2003 16.33.34 */
/* ldap_utils.cc 07/09/2001 20.11.06 */
int dns2dc (char *buf, int size, int strip_hostname);
int dc2dns (char *buf, int size);
int dc2list (const char *dc_str, SSTRINGS&dc_lst);
int str_chop_num (const char *str);
int str_conv_ascii (char *str);
int latin1_to_UTF8 (int argc, char **argv);
int UTF8_to_latin1 (int argc, char **argv);
/* ldapapi.cc 20/09/1999 10.56.22 */
/* ldapclient.cc 19/08/2002 12.15.20 */
void ldapsearch (void);
void ldapedit (void);
void ldap_useredit (void);
void ldap_passwd_tool (void);
void ldap_formclient (const char *profile_name);
/* ldapconf.cc 21/06/2004 13.07.50 */
/* ldapconf_setup.cc 05/11/2003 23.08.08 */
void ldapconf_setup (void);
void ldapconf_setup_read (void);
void ldapconf_setup_write (void);
/* ldapgetcmd.tlcc 21/06/2004 13.10.20 */
/* ldapguru.tlcc 21/06/2004 13.10.20 */
void ldapguru (void);
/* ldapnss.cc 13/02/2003 17.36.02 */
void ldap_system_config (void);
/* ldapsendcmd.tlcc 21/06/2004 13.10.20 */
/* ldapstatus.cc 01/03/2001 23.18.08 */
void ldap_status (void);
/* loghandler.cc 02/03/2001 09.54.40 */
int logfilter (int logcode, const char *logmsg);
int loghandler_init (int id,
	 const char *logdevice,
	 int logclass,
	 int loglevel,
	 int logformat);
int loghandler_init (int id, const char *logdevice);
int loghandler_setlevel (int id, int loglevel);
int loghandler_getlevel (int id);
int loghandler_setclass (int id, int logclass);
int loghandler_getclass (int id);
void loghandler (int loglevel, int logclass, const char *msg, ...);
void logf (int logcode, const char *msg, ...);
void debugf (int logcode, const char *msg, ...);
/* menus.cc 01/03/2001 23.00.12 */
void ldap_mainmenu (void);
void ldap_mainmenu_client (void);
void ldap_mainmenu_server (void);
void ldap_mainmenu_directory (void);
void ldap_mainmenu_system (void);
void ldap_mainmenu_profile (void);
void ldap_server_menu (void);
/* misc.tlcc 21/06/2004 13.10.20 */
void misc_sha (const char *s, SSTRING&res);
/* nssconf.cc 21/09/1999 16.46.36 */
void nss_config (void);
/* openldap.cc 13/02/2003 17.35.14 */
void ldap_server_control (void);
void ldap_server_config (void);
int ldap_db_getlist (SSTRINGS&lst);
void ldap_db_select (void);
void ldap_client_config (void);
/* pamconf.cc 25/04/2002 13.11.36 */
void pam_config_main (void);
void pam_config_service (void);
void pam_service_edit (const char *name);
int pam_module_getlist (SSTRINGS&lst);
int pam_service_getlist (SSTRINGS&lst);
void pam_service_list (void);
void pam_module_list (void);
/* posix.tlcc 21/06/2004 13.10.20 */
int posix_read (const char *user, SSTRING_KEYS&tb);
void posix_addcomng (SSTRING_KEYS&db);
void posix_delcomng (SSTRING_KEYS&db);
void posix_init (void);
void posix_batchmode (bool mode);
/* user2ldif.tlcc 21/06/2004 13.10.20 */
/* useradmin.cc 10/06/2004 16.38.50 */
void ldap_usermenu (const char *profile);
const char *getldapattribute (const SSTRINGS&atlist, const char *key);
void ldap_form_edituser (const char *profile_name,
	 const char *user_name);
void ldap_form_adduser (const char *profile_name, const char *user_name);
void ldap_form_search (const char *profile_name);
int ldaplist (SSTRINGS&lst, SSTRING&choice);
int ldap_pwsync (const char *username,
	 const char *domain,
	 const char *new_password);
void ldap_form_password (const char *user_name,
	 const char *profile_name);
int ldap_migrate_users (const char *profile_name);
int ldap_get_free_uidnumber (const char *profile_name);
int ldap_get_free_gidnumber (const char *profile_name);
/* profiles.tlcc 21/06/2004 13.10.20 */
void profiles_dia_admin (_F_profiles_dia_admin&c, PROFILES *profs);
int check_perm (const char *id);
/* profile.tlcc 21/06/2004 13.10.20 */
void profile_edit (const char *id);
void profile_select (void);
void bindprofile_edit (void);
void formprofile_edit (void);
/* batch.tlcc 21/06/2004 13.10.20 */
int batch_addrecord (int argc, char *argv[]);
